commit ace5ff023d846d50bb94d49a0041820b5dfde103
Author: Simon Riggs <simon.riggs@enterprisedb.com>
Date:   Wed Dec 22 11:31:49 2021 +0000

    This is specified by SQLStd but we already break this rule for
    searched UPDATE, so no particular reason to do this for MERGE.

diff --git a/doc/src/sgml/ref/merge.sgml b/doc/src/sgml/ref/merge.sgml
index ed5228fba1..6b2b5f11c4 100644
--- a/doc/src/sgml/ref/merge.sgml
+++ b/doc/src/sgml/ref/merge.sgml
@@ -242,10 +242,6 @@ DELETE
       If this expression for a <literal>WHEN</literal> clause
       returns <literal>true</literal> then the action for that clause
       clause is executed for that row.
-      The expression may not contain functions that possibly perform
-      writes to the database.
-      <!-- FIXME This is poorly defined; expresions containing VOLATILE functions
-           are not rejected.  Maybe we should throw an error if they are found. -->
      </para>
      <para>
       A condition on a <literal>WHEN MATCHED</literal> clause can refer to columns
